org.apache.hc.core5.benchmark

## Class Results

- java.lang.Object
- - org.apache.hc.core5.benchmark.Results

-     public final class Results
      extends Object

  Benchmark results
  Since:
    4.3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Results(String serverName, ProtocolVersion protocolVersion, String hostName, int hostPort, String documentPath, long contentLength, int concurrencyLevel, long totalTimeMillis, long successCount, long failureCount, long keepAliveCount, long totalBytesRcvd, long totalBytesSent, long totalContentBytesRecvd)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getConcurrencyLevel()`
    `long` | `getContentLength()`
    `String` | `getDocumentPath()`
    `long` | `getFailureCount()`
    `String` | `getHostName()`
    `int` | `getHostPort()`
    `long` | `getKeepAliveCount()`
    `ProtocolVersion` | `getProtocolVersion()`
    `String` | `getServerName()`
    `long` | `getSuccessCount()`
    `long` | `getTotalBytesRcvd()`
    `long` | `getTotalBytesSent()`
    `long` | `getTotalContentBytesRecvd()`
    `long` | `getTotalTimeMillis()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Results

          public Results(String serverName,
                         ProtocolVersion protocolVersion,
                         String hostName,
                         int hostPort,
                         String documentPath,
                         long contentLength,
                         int concurrencyLevel,
                         long totalTimeMillis,
                         long successCount,
                         long failureCount,
                         long keepAliveCount,
                         long totalBytesRcvd,
                         long totalBytesSent,
                         long totalContentBytesRecvd)

  - ### Method Detail

    - #### getServerName

          public String getServerName()

    - #### getProtocolVersion

          public ProtocolVersion getProtocolVersion()

    - #### getHostName

          public String getHostName()

    - #### getHostPort

          public int getHostPort()

    - #### getDocumentPath

          public String getDocumentPath()

    - #### getContentLength

          public long getContentLength()

    - #### getConcurrencyLevel

          public int getConcurrencyLevel()

    - #### getTotalTimeMillis

          public long getTotalTimeMillis()

    - #### getSuccessCount

          public long getSuccessCount()

    - #### getFailureCount

          public long getFailureCount()

    - #### getKeepAliveCount

          public long getKeepAliveCount()

    - #### getTotalBytesRcvd

          public long getTotalBytesRcvd()

    - #### getTotalBytesSent

          public long getTotalBytesSent()

    - #### getTotalContentBytesRecvd

          public long getTotalContentBytesRecvd()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.